import { Application } from "express";
import Logger from "../util/logger";
export default class ServeCommand {
    private app;
    private readonly port;
    private ssl;
    private readonly hostname;
    private config;
    private logger;
    constructor(server: Application, config: Map<string, any>, logger: Logger);
    run(): Promise<void>;
}
