import AuthProvider from "./auth/auth-provider";
import IStorageProvider, { IRequest } from "./storage/storage-provider";
import { IConfig } from "./init";
export default class ApNpmApplication {
    private readonly container;
    private readonly authProvider;
    constructor(config: IConfig, auth?: AuthProvider);
    listen(): Promise<void>;
}
export { AuthProvider, IStorageProvider, IRequest };
