"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const auth_user_login_1 = require("../routes/auth-user-login");
const auth_whoami_1 = require("../routes/auth-whoami");
const auth_user_logout_1 = require("../routes/auth-user-logout");
function default_1(container) {
    container.set("route-auth-user-login", function () {
        return new auth_user_login_1.default(container.get("auth"));
    });
    container.set("route-auth-whoami", function () {
        return new auth_whoami_1.default(container.get("auth"));
    });
    container.set("route-auth-user-logout", function () {
        return new auth_user_logout_1.default(container.get("auth"));
    });
}
exports.default = default_1;
//# sourceMappingURL=auth-init.js.map