"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const route_1 = require("./route");
class AuthUserLogin extends route_1.default {
    constructor(auth) {
        super();
        this.auth = auth;
    }
    process(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const result = yield this.auth.userLogin(req.body.name, req.body.password);
                res.status(200).send({ token: result });
                return;
            }
            catch (err) { }
            try {
                const result = yield this.auth.userAdd(req.body.name, req.body.password);
                res.status(201).send({ token: result });
                return;
            }
            catch (err) { }
            res.status(401).send({ error: "Cannot create user" });
        });
    }
}
exports.default = AuthUserLogin;
//# sourceMappingURL=auth-user-login.js.map