import Route from "./route";
import PackageProxy from "./package-proxy";
import { Request, Response } from "express";
import IStorageProvider from "../storage/storage-provider";
export default class PackageGetJson extends Route {
    private storage;
    private proxy;
    private readonly proxyEnabled;
    constructor(storage: IStorageProvider, proxy: PackageProxy, proxyEnabled: boolean);
    process(req: Request, res: Response): Promise<void>;
}
