import Route from "./route";
import Validator from "../util/validator";
import { Request, Response } from "express";
import IStorageProvider from "../storage/storage-provider";
export default class PackagePublish extends Route {
    private storage;
    private packageValidator;
    constructor(storage: IStorageProvider, validator: Validator);
    process(req: Request, res: Response): Promise<void>;
    private writePackage;
    private writeNewPackage;
}
