import Filesystem from "../storage/filesystem";
export default class Validator {
    private storage;
    constructor(storage: Filesystem);
    isVersionHigher(request: IValidatorRequest, distTag: string): Promise<boolean>;
    hasDistTag(request: IValidatorRequest, distTag: string): Promise<boolean>;
}
interface IValidatorRequest {
    name: string;
    scope?: string;
    version?: string;
}
export {};
