import RestObject from "./rest-object";
declare class Package extends RestObject {
    entityIdentifier: string;
    private readonly name;
    private readonly scope;
    private readonly versions;
    private readonly packageJson;
    constructor(name: string, versions: string[], packageJson: object, scope?: string);
    getName(): Promise<string>;
    getScope(): Promise<string | undefined>;
    toObject(): Promise<IPackageObject>;
}
export interface IPackageObject {
    id: string | Int32Array;
    name: string;
    scope: string | undefined;
    versions: string[];
    packageJson: object;
}
export default Package;
