import Package from "./entities/package";
import IStorageProvider from "../storage/storage-provider";
declare class PackageRepository {
    private storage;
    constructor(storage: IStorageProvider);
    getPackages(): Promise<Package[]>;
    getPackage(name: string, scope?: string): Promise<Package>;
}
export default PackageRepository;
