"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api_package_1 = require("../routes/api-package");
const package_repository_1 = require("../api/package-repository");
const api_authenticate_1 = require("../routes/api-authenticate");
function default_1(container) {
    container.set("package-repository", () => {
        return new package_repository_1.default(container.get("storage"));
    });
    container.set("route-api-package", () => {
        return new api_package_1.default(container.get("package-repository"));
    });
    container.set("route-api-authenticate", () => {
        return new api_authenticate_1.default(container.get("auth"));
    });
}
exports.default = default_1;
//# sourceMappingURL=api-init.js.map