"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const init_1 = require("../commands/init");
const serve_1 = require("../commands/serve");
function default_1(container) {
    container.set("command-serve", function () {
        return new serve_1.default(container.get("express"), container.get("config"), container.get("logger"));
    });
    container.set("command-init", function () {
        return new init_1.default(container.get("config"), container.get("logger"));
    });
}
exports.default = default_1;
//# sourceMappingURL=command-init.js.map