import Route from "./route";
import Validator from "../util/validator";
import { Request, Response } from "express";
import IStorageProvider from "../storage/storage-provider";
export default class PackageDelete extends Route {
    private storage;
    private packageValidator;
    private config;
    private readonly remove;
    constructor(storage: IStorageProvider, validator: Validator, config: Map<string, any>);
    process(req: Request, res: Response): Promise<void>;
}
