"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
function default_1(fs, request, storageLocation) {
    return __awaiter(this, void 0, void 0, function* () {
        const packageName = request.name;
        const packageScope = request.scope;
        const fileName = request.file;
        if (fileName) {
            const fileLocation = packageScope
                ? path_1.join(storageLocation, packageScope, packageName, fileName)
                : path_1.join(storageLocation, packageName, fileName);
            return yield fs.readFile(fileLocation);
        }
        else {
            throw Error("No filename given");
        }
    });
}
exports.default = default_1;
//# sourceMappingURL=get-package.js.map